The default bug view has changed. See this FAQ.

[SeaMonkey 2.0] mochitest-other: "test_bug428405.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - gChromeWindow is null"

VERIFIED FIXED

Status

()

Toolkit
Downloads API
--
major
VERIFIED FIXED
7 years ago
7 years ago

People

(Reporter: sgautherie, Assigned: Callek)

Tracking

(Blocks: 1 bug, {regression, verified1.9.1})

1.9.1 Branch
x86
Mac OS X
regression, verified1.9.1
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(status1.9.1 .14-fixed)

Details

(URL)

(Reporter)

Description

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1283066967.1283067319.14360.gz
OS X 10.5 comm-1.9.1 test mochitest-other on 2010/08/29 00:29:27
{
6946 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/widget/test/test_bug428405.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - gChromeWindow is null
}
(Reporter)

Comment 1

7 years ago
Regression timeframe:
http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey2.0&maxdate=1282082101&hours=24&legend=0&norules=1
http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey2.0&maxdate=1281995701&hours=24&legend=0&norules=1
http://hg.mozilla.org/releases/mozilla-1.9.1/pushloghtml?fromchange=28e2ed70bd32&tochangee=4b76384e608e
No longer blocks: 428405
Keywords: regression
Does this test always fail?

Does it also fail for Firefox?

And why do you conclude this is a Cocoa Widgets bug?  It seems much
more likely to be some kind of cross-platform bug -- one that makes
nsIWindowMediator.getMostRecentWindow("navigator:browser") return
null.
(Reporter)

Comment 3

7 years ago
(In reply to comment #2)

> Does this test always fail?

Yes, afaict (though I didn't check all builds).

> Does it also fail for Firefox?

No:
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1282941921.1282942396.4363.gz&fulltext=1
OS X 10.5.2 mozilla-1.9.1 test mochitest-other on 2010/08/27 13:45:21

1398 INFO Running chrome://mochikit/content/chrome/widget/test/test_bug428405.xul...
1399 INFO TEST-PASS | chrome://mochikit/content/chrome/widget/test/test_bug428405.xul | undefined
1401 INFO Running chrome://mochikit/content/chrome/widget/test/test_bug444800.xul...
}
Though 'undefined' always looks odd to me...

> And why do you conclude this is a Cocoa Widgets bug?  It seems much

Sorry, that was just a leftover from when I initially looked at bug 428405.

> more likely to be some kind of cross-platform bug -- one that makes
> nsIWindowMediator.getMostRecentWindow("navigator:browser") return
> null.

Actually, I had a typo in the regression url, which confused me...
Correct regression timeframe:
http://hg.mozilla.org/releases/mozilla-1.9.1/pushloghtml?fromchange=28e2ed70bd32&tochange=4b76384e608e
Bug 544356 !

Neil, do we need to port the browser.js change ? Or ...
Blocks: 544356
Component: Widget: Cocoa → Testing Infrastructure
Product: Core → SeaMonkey
QA Contact: cocoa → testing-infrastructure
Version: 1.9.1 Branch → SeaMonkey 2.0 Branch

Comment 4

7 years ago
Don't we already have the equivalent of the browser.js code in isClosingLastBrowser() ?

Does the test for bug 544356 pass? That test changes the browser's windowtype and if it's not restored correctly then subsequent tests will fail.
(Reporter)

Comment 5

7 years ago
(In reply to comment #4)

> Don't we already have the equivalent of the browser.js code in
> isClosingLastBrowser() ?

(
Yes, part of it at least:
http://hg.mozilla.org/releases/mozilla-1.9.1/annotate/4b76384e608e/browser/base/content/browser.js#l5762
http://hg.mozilla.org/releases/comm-1.9.1/annotate/7bd5a7cf4b6a/suite/browser/navigator.js#l2470
)

> Does the test for bug 544356 pass? That test changes the browser's windowtype
> and if it's not restored correctly then subsequent tests will fail.

http://tinderbox.mozilla.org/showlog.cgi?tree=SeaMonkey2.0&errorparser=unittest&logfile=1283066967.1283067319.14360.gz&buildtime=1283066967&buildname=OS%20X%2010.5%20comm-1.9.1%20test%20mochitest-other&fulltext=1
OS X 10.5 comm-1.9.1 test mochitest-other on 2010/08/29 00:29:27
{
6825 INFO Running chrome://mochikit/content/chrome/toolkit/mozapps/downloads/tests/chrome/test_close_on_last_window.xul...
6826 INFO TEST-KNOWN-FAIL | chrome://mochikit/content/chrome/toolkit/mozapps/downloads/tests/chrome/test_close_on_last_window.xul | skip test for toolkit download manager UI
}

http://mxr.mozilla.org/mozilla1.9.1/source/toolkit/mozapps/downloads/tests/chrome/test_close_on_last_window.xul
Indeed, it seems the test misses to set the window type back (or shouldn't change it that early) in this case.

NB: And the other skipped D.M. tests may need to be checked too...
(Assignee)

Comment 6

7 years ago
didn't I/We fix this on trunk?
(Reporter)

Comment 7

7 years ago
On trunk,
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1283167369.1283169450.9901.gz&fulltext=1
OS X 10.5 comm-central-trunk debug test mochitest-other on 2010/08/30 04:22:49

13219 INFO TEST-KNOWN-FAIL | chrome://mochikit/content/chrome/toolkit/mozapps/downloads/tests/chrome/test_close_on_last_window.xul | skip test for toolkit download manager UI

17388 INFO TEST-PASS | chrome://mochikit/content/chrome/widget/tests/test_bug428405.xul | undefined - true should equal true
}
The test itself hasn't changed, so something else must have...
(Reporter)

Comment 8

7 years ago
(In reply to comment #7)
> The test itself hasn't changed, so something else must have...

Ah, that was about test_bug428405.xul...

***

(In reply to comment #6)
> didn't I/We fix this on trunk?

It seems m-1.9.1 actually misses
http://hg.mozilla.org/mozilla-central/rev/58d7aaf82913
(No Bug) Make test not modify the windowtype until certain we are actually running the test. Fixes some SeaMonkey orange. rs=Mossop
:-/
(Reporter)

Updated

7 years ago
Component: Testing Infrastructure → Download Manager
Product: SeaMonkey → Toolkit
QA Contact: testing-infrastructure → download.manager
Version: SeaMonkey 2.0 Branch → 1.9.1 Branch
(Reporter)

Comment 9

7 years ago
(In reply to comment #8)
> http://hg.mozilla.org/mozilla-central/rev/58d7aaf82913

http://hg.mozilla.org/releases/mozilla-1.9.1/rev/ee13b56068f1
Assignee: nobody → bugspam.Callek
Status: NEW → RESOLVED
Last Resolved: 7 years ago
status1.9.1: --- → .13-fixed
Flags: in-testsuite+
Resolution: --- → FIXED
(Reporter)

Comment 10

7 years ago
V.Fixed, per
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1283307989.1283308336.2113.gz
OS X 10.5 comm-1.9.1 test mochitest-other on 2010/08/31 19:26:29
Status: RESOLVED → VERIFIED
Marking as verified for 1.9.1 based on Serge's comment 10.
Keywords: verified1.9.1
You need to log in before you can comment on or make changes to this bug.